#include <stdio.h>
#include <X11/Xlib.h>
#include <X11/extensions/XTest.h>
 
Display *dpy;
int scr;
Window win;
unsigned int width, height;
 
int main(int argc, char **argv)
{
   Window ret_win;
   int x, y;
   unsigned int border_width, depth;
 
   dpy = XOpenDisplay(NULL);
   if (!dpy)
     return 1;
   scr = DefaultScreen(dpy);
   win = RootWindow(dpy, scr);
   XGetGeometry(dpy, win, &ret_win, &x, &y, &width, &height,
                &border_width, &depth);
   XTestFakeMotionEvent(dpy, scr, 0, 0, 0);
   XSync(dpy, 1);
   XCloseDisplay(dpy);
   return 0;
 }
