/*
 * Copyright (c) 2004-2009 by VWP
 */

#ifndef UTIL_H
#define UTIL_H

#ifdef ENV_QNX
#include <sys/time.h>
#endif

#ifdef ENV_WINDOWS
extern void gettimeofday(struct timeval *unixt,void *foo);
extern int strcasecmp (const char *s1,const char *s2);
#endif

extern int ThreadSleep(int msecs);
extern char *base64Decode(char *input,long maxlen);
extern char *base64Encode(char *data);
extern char **readFilelist(char *name);
extern char *getTimeString(void);
extern long getCRC(char *ptr, int len);
extern char *getheaders (char *hname, char *headers); // deprecated
extern char *getHeader(char *hname, char *headers);
extern char *getparameter (char *req, char *pname);
extern char *memfind (char *what,char *block, size_t len, int l);
extern char *urldecode (char * str);
extern char *urlencode (char * str);
extern void resettimeout (struct timeval *tv);
extern int urlparse (char *url, char **protocol, char **host, char **port, char **location);
extern char *get_data_pos (char *b,long length);
extern float convert_size (unsigned long bytes, char **code);
extern char *strdupSpaceEscape(char *in);
extern void spaceDeescape(char *in);

#endif
