package base;

import java.awt.*;
import javax.swing.border.*;
import java.io.*;
import java.util.*;
import java.util.Timer;

import javax.swing.*;



@SuppressWarnings("serial")
public class TopField extends JButton
{
	private int    usedSpace,usedPerc=100;
	private Font   stateFont=new Font("",Font.BOLD,19);
	private String path="/";
	private Color  red1=new Color(120,0,0),red2=new Color(255,100,100),bluebg=new Color(225,225,250);
	private boolean recOn=false;
	
	

	public void paintComponent(Graphics g)
	{
		super.paintComponent(g);
		if (PoddyFrame.MyWin.config.use_vcr)
		{
         if (recOn)
         {
            g.setColor(Color.RED);
            g.fillOval(15,10,18,18);
         }
         g.setColor(red1);
	      g.drawOval(15,10,18,18);
      }
		g.drawRect(getSize().width-75,7,57,24);
		g.setColor(red2);
		g.fillRect(getSize().width-74,8,usedSpace,23);
		g.setColor(bluebg);
      g.fillRect(getSize().width-74+usedSpace,8,56-usedSpace,23);
		g.setColor(Color.DARK_GRAY);
		g.setFont(stateFont);
		g.drawString(""+usedPerc+"%",this.getSize().width-73,27);
	}

	
	
	class TTask extends TimerTask
	{
	   private boolean isOn=false;
	   private int     ctr=0;
	   
	   TTask()
	   {
	      
	   }

	   public void run()
	   {
	      if (PoddyFrame.MyWin.sysAccess.isRecording()==null) recOn=false;
	      else
	      {
	         ctr=1-ctr;
	         if (ctr==0) recOn=true;
	         else recOn=false;
	      }
	      if (recOn!=isOn)
	      {
	         isOn=recOn;
	         repaint();
	      }
	   }

	}
	
	
	
   public TopField()
   {
      Timer timer=new Timer();
      
	  updateState();
      setFont(new Font("",Font.PLAIN,25));
	  timer.schedule(new TTask(),2000,1500);
	  setBorder(new EmptyBorder(4,0,3,0));
	}
   
    
   
   void updateState()
   {
		File file=new File(path);

		try
		{
		   usedPerc=(int)(((double)(file.getTotalSpace()-file.getUsableSpace())/file.getTotalSpace())*100.0);
		}
		catch (NoSuchMethodError e)
		{
		   usedPerc=2;
		}
		usedSpace=(int)((55/100.0)*usedPerc);
   }
   
   
   
   public void setText(String text,String path)
   {
      super.setText(text);
      this.path=path;
      updateState();
   }




}
