/*
 *	TitleWidget.java 1.0 29.12.2008
 *
 * Copyright (c) 2004 Gavin & Georgina Sallery
 * Copyright (c) 2008 Virtual Worlds Productions
 * Email: virtual_worlds(at)gmx.de
 *
 * This program is free software; you can redistribute it and/or modify  it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option) any
 * later version.
 *
 * Please contact virtual_worlds(at)gmx.de if you are interested in a source
 * package which is not licensed under the GPL
 */

package com.vwp.jLCD;

public class TitleWidget extends Widget {

    private String text;

    public TitleWidget(String text) {
        this.text = text;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
        update();
    }

    protected String getData() {
        return " \"" + text + "\"";
    }

    public String getType() {
        return "title";
    }
}
