-- MySQL dump 10.13  Distrib 5.1.37, for redhat-linux-gnu (i386)
--
-- Host: localhost    Database: poddy
-- ------------------------------------------------------
-- Server version	5.1.37

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `cdinfo`
--

DROP TABLE IF EXISTS `cdinfo`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cdinfo` (
  `idx` int(11) NOT NULL AUTO_INCREMENT,
  `ean` text,
  `time` int(11) DEFAULT NULL,
  `year` int(11) DEFAULT NULL,
  `discid` text,
  `title` text,
  `genre` text,
  `tracksid` text,
  `cat` text,
  `t01` text,
  `t02` text,
  `t03` text,
  `t04` text,
  `t05` text,
  `t06` text,
  `t07` text,
  `t08` text,
  `t09` text,
  `t10` text,
  `t11` text,
  `t12` text,
  `t13` text,
  `t14` text,
  `t15` text,
  `t16` text,
  `t17` text,
  `t18` text,
  `t19` text,
  `t20` text,
  `t21` text,
  `t22` text,
  `t23` text,
  `t24` text,
  `t25` text,
  `t26` text,
  `t27` text,
  `t28` text,
  `t29` text,
  `t30` text,
  `t31` text,
  `t32` text,
  `t33` text,
  `t34` text,
  `t35` text,
  `artist` text,
  PRIMARY KEY (`idx`)
) ENGINE=MyISAM AUTO_INCREMENT=68 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;


--
-- Table structure for table `dvdinfo`
--

DROP TABLE IF EXISTS `dvdinfo`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dvdinfo` (
  `idx` int(11) NOT NULL AUTO_INCREMENT,
  `ean` text,
  `time` int(11) DEFAULT NULL,
  `year` int(11) DEFAULT NULL,
  `crcid` bigint(11) DEFAULT NULL,
  `title` text,
  `genre` text,
  `season` int(11) DEFAULT '0',
  `disc` int(11) DEFAULT NULL,
  PRIMARY KEY (`idx`)
) ENGINE=MyISAM AUTO_INCREMENT=48 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;


--
-- Table structure for table `homeload`
--

DROP TABLE IF EXISTS `homeload`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `homeload` (
  `idx` int(11) NOT NULL AUTO_INCREMENT,
  `userid` int(11) DEFAULT NULL,
  `name` tinytext,
  `synced` tinyint(4) DEFAULT '0',
  `dlurl` text,
  `deleted` tinyint(4) DEFAULT '0',
  `errtext` text,
  PRIMARY KEY (`idx`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `homeload`
--

LOCK TABLES `homeload` WRITE;
/*!40000 ALTER TABLE `homeload` DISABLE KEYS */;
/*!40000 ALTER TABLE `homeload` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `schedule`
--

DROP TABLE IF EXISTS `schedule`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `schedule` (
  `idx` int(11) NOT NULL AUTO_INCREMENT,
  `userid` int(11) NOT NULL,
  `rtime` int(11) DEFAULT NULL,
  `station` tinytext,
  `name` tinytext,
  `synced` tinyint(4) DEFAULT '0',
  `deleted` tinyint(4) DEFAULT '0',
  `stime` int(11) DEFAULT NULL,
  PRIMARY KEY (`idx`)
) ENGINE=MyISAM AUTO_INCREMENT=69 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;


--
-- Table structure for table `stations`
--

DROP TABLE IF EXISTS `stations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `stations` (
  `idx` int(11) NOT NULL AUTO_INCREMENT,
  `userid` int(11) NOT NULL,
  `station` tinytext,
  `channel` tinytext,
  PRIMARY KEY (`idx`)
) ENGINE=MyISAM AUTO_INCREMENT=184 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;


--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users` (
  `userid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` tinytext,
  `surname` tinytext,
  `street` tinytext,
  `number` int(11) DEFAULT NULL,
  `plz` tinytext,
  `city` tinytext,
  `email` tinytext,
  `country` int(11) DEFAULT NULL,
  `alias` tinytext,
  `birthdate` tinytext,
  `time` int(11) DEFAULT NULL,
  `enabled` int(11) DEFAULT NULL,
  `pwd` tinytext,
  `SID` tinytext,
  `STime` int(11) DEFAULT NULL,
  `lastlogin` int(11) DEFAULT '0',
  `creationtime` int(11) DEFAULT NULL,
  `nextlogin` int(11) DEFAULT '0',
  `mphone` tinytext,
  `credit` int(11) DEFAULT '0',
  PRIMARY KEY (`userid`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;


--
-- Dumping routines for database 'poddy'
--
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2009-10-05 20:29:15
