/*
 *	VBarWidget.java 1.0 29.12.2008
 *
 * Copyright (c) 2004 Gavin & Georgina Sallery
 * Copyright (c) 2008 Virtual Worlds Productions
 * Email: virtual_worlds(at)gmx.de
 *
 * This program is free software; you can redistribute it and/or modify  it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option) any
 * later version.
 *
 * Please contact virtual_worlds(at)gmx.de if you are interested in a source
 * package which is not licensed under the GPL
 */

package com.vwp.jLCD;

public class VBarWidget extends Widget {
    private int x;
    private int y;
    private int length;

    public VBarWidget(int x, int y, int length) {
        this.x = x;
        this.y = y;
        this.length = length;
    }

    public int getX() {
        return x;
    }

    public void setX(int x) {
        this.x = x;
        update();
    }

    public int getY() {
        return y;
    }

    public void setY(int y) {
        this.y = y;
        update();
    }

    public int getLength() {
        return length;
    }

    public void setLength(int length) {
        this.length = length;
        update();
    }

    protected String getData() {
        return x + " " + y + " " + length;
    }

    public String getType() {
        return "vbar";
    }
}
